$LOAD_PATH.unshift File.expand_path('lib', __dir__)
require 'dnsblim/version'
require 'pathname'

Gem::Specification.new do |s|
  s.name          = 'dnsblim'
  s.version       = DnsblimSubmitter::VERSION
  s.authors       = ['Ken Spencer']
  s.email         = ['me@iotaspencer.me']
  s.homepage      = 'https://gitlab.com/Kopiena/DNSBLim/dnsblim'
  s.summary       = 'DNSBL.im Key Holder executable'
  s.description   = <<~DESC
                    DNSBLim the Gem is a primarily DNSBLim API key holder
                    exclusive, whereas the key holder can run applicable API
                    commands/routes in line with their access.
                    DESC
  s.license = 'MIT'
  s.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test)/})
  end
  s.platform      = Gem::Platform::RUBY
  s.required_ruby_version = ">= 2.3"
  s.require_paths = ['lib']
  s.executables = Pathname('./bin').entries.map(&:to_s).delete_if { |x| %w[. ..].include?(x) }
  s.add_runtime_dependency 'highline', '~> 1.7', '>= 1.7.10'
  s.add_runtime_dependency 'httparty', '~> 0.16'
  s.add_runtime_dependency 'minitest-reporters', '~> 1.2'
  s.add_runtime_dependency 'paint', '>= 2.0.1', '<= 3.0'
  s.add_runtime_dependency 'parseconfig', '~> 1.0'
  s.add_runtime_dependency 'recursive-open-struct', '~> 1.1'
  s.add_runtime_dependency 'thor', '~> 0.20'
  s.add_runtime_dependency 'terminal-table', '~> 1.8'
  s.add_runtime_dependency 'deep_fetch', '~> 0.0.5'
  s.add_runtime_dependency 'activesupport'
  s.add_runtime_dependency 'command_line_reporter'
  s.add_development_dependency 'bundler', '~> 1.16.1'
  s.add_development_dependency 'rake', '~> 12.3.1'
end
